Loading...
Searching...
No Matches
Dune::EnumItem< TA, item > Class Template Reference
Common

A set consisting only of one item. More...

`#include <dune/common/enumset.hh>`

## Public Types

typedef TA | Type
| The type the set holds.

## Static Public Member Functions

static bool | contains (const Type &attribute)
| Tests whether an item is in the set.

## Detailed Description

template<typename TA, int item>
class Dune::EnumItem< TA, item >

A set consisting only of one item.

## Member Typedef Documentation

## Type

template<typename TA, int item>

typedef TA Dune::EnumItem< TA, item >::Type

The type the set holds.

The documentation for this class was generated from the following file:

- enumset.hh